#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;


int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    inf.readInt(1, 5000, "n");
    inf.readEoln();
    for (int i = 0; i < 6; i++) {
        if (i != 0) inf.readSpace();
        inf.readInt(1, 15, "di");
    }
    inf.readEoln();
    inf.readEof();
    return 0;
}